Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.publication.maven
[Groovy] Interface MavenDependency

    interface MavenDependency

Method Summary
`String` | `getArtifactId()`
`String` | `getClassifier()`
`String` | `getGroupId()`
`MavenScope` | `getScope()`
`String` | `getVersion()`
`boolean` | `isOptional()`

Method Detail

### getArtifactId

    String getArtifactId()

### getClassifier

    String getClassifier()

### getGroupId

    String getGroupId()

### getScope

    MavenScope getScope()

### getVersion

    String getVersion()

### isOptional

    boolean isOptional()

Gradle API 1.1-rc-1